Bug 152386 - AssertionError at com.sun.tools.javac.code.Symbol.clone
AssertionError at com.sun.tools.javac.code.Symbol.clone
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Compiler
8.0
All All
: P2 (vote)
: 8.0.1
Assigned To: Dusan Balek
issues@java
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-05 07:26 UTC by villuriram
Modified: 2014-08-01 02:10 UTC (History)
27 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.45 KB, text/plain)
2008-11-05 07:27 UTC, villuriram
Details
stacktrace (5.68 KB, text/plain)
2012-09-04 13:29 UTC, Maksim Khramov
Details
stacktrace (5.65 KB, text/plain)
2013-10-02 12:24 UTC, ssazonov
Details
stacktrace (5.22 KB, text/plain)
2014-04-07 11:10 UTC, Alexander Simon
Details
stacktrace (5.45 KB, text/plain)
2014-04-07 11:22 UTC, Alexander Simon
Details
stacktrace (4.81 KB, text/plain)
2014-04-30 12:33 UTC, -Silver-
Details
Crashing sample (530 bytes, text/plain)
2014-07-30 07:21 UTC, Svata Dedic
Details

Note You need to log in before you can comment on or make changes to this bug.
Description villuriram 2008-11-05 07:26:54 UTC
Build: NetBeans IDE 6.5 Beta (Build 200808111757)
VM: Java HotSpot(TM) Client VM, 1.6.0-b105, Java(TM) SE Runtime Environment, 1.6.0-b105
OS: Windows XP, 5.1, x86

User Comments:
rgarske: Just starting up Netbeans IDE 6.5 Beta for the first time,
importing Settings from Netbeans IDE 6.1

By the way, the IDE shows lots of errors for projects that are perfectly OK in 
Netbeans 6.1

GUEST: Editing java files. Netbeans reports errors in files (although there aren't any mistakes/compile errors). Project has custom ant script. Netbeans 6.5 Beta

GUEST: I was closing an unedited file in the editor pane.  

I have been having a lot of problems with the UI showing compile errors when there are none.  One way to get rid of the compile errors in the UI is to open the file and close it again (which is what I was doing when this error occured), but this doesn't always rectify the issue.  Oftentimes I have to delete the netbeans chache to force a "UI recompile" to get the errors to go away.  This is probably my biggest issue with the IDE (this was also present in 6.1).



Stacktrace: 
java.lang.AssertionError
        at com.sun.tools.javac.code.Symbol.clone(Symbol.java:137)
        at com.sun.tools.javac.jvm.Gen.binaryQualifier(Gen.java:291)
        at com.sun.tools.javac.jvm.Gen.visitIdent(Gen.java:2101)
        at com.sun.tools.javac.tree.JCTree$JCIdent.accept(JCTree.java:1683)
        at com.sun.tools.javac.jvm.Gen.genExpr(Gen.java:832)
        at com.sun.tools.javac.jvm.Gen.visitSelect(Gen.java:2126)
Comment 1 villuriram 2008-11-05 07:27:04 UTC
Created attachment 73273 [details]
stacktrace
Comment 2 Dusan Balek 2008-11-24 17:13:25 UTC
Is the issue reproducible on your sources?
Comment 3 Maksim Khramov 2012-09-04 13:29:00 UTC
Created attachment 123881 [details]
stacktrace
Comment 4 ssazonov 2013-10-02 12:24:49 UTC
Created attachment 140723 [details]
stacktrace

this occures, when I type:

System.out.println(1 + ":\t" + ArrayList);
Comment 5 Saucistophe 2013-12-06 21:44:02 UTC
I reproduced this bug on a new java project.
In a method, add a line such as this one (followed or not by a code block):

if (MyClass != null)

MyClass being an *existing* class name.
Crashes everytime.
Comment 6 Alexander Simon 2014-04-07 11:09:22 UTC
114 reports => P2
Comment 7 Alexander Simon 2014-04-07 11:10:38 UTC
Created attachment 146601 [details]
stacktrace

hg pull in console
Comment 8 Alexander Simon 2014-04-07 11:22:40 UTC
Created attachment 146602 [details]
stacktrace

build in console
Comment 9 -Silver- 2014-04-30 12:33:06 UTC
Created attachment 147022 [details]
stacktrace

I'm working on a Maven Java project.
In the pom.xml file I would like to comment a dependency to see how this library affects the project.

In the pom.xml I select the dependency code with the mouse:

<dependency> 
	<groupId>org.bouncycastle</groupId>
	<artifactId>bcpkix-jdk15on</artifactId>
	<version>1.50</version>
</dependency>

and press <SHIFT>+<ALT>+C . The dependency in the pom.xml file is commented. When I press <CTRL>+S to save the modified pom.xml this exception is thrown
Comment 10 Svata Dedic 2014-07-29 20:11:54 UTC
(In reply to Saucistophe from comment #5)
> In a method, add a line such as this one (followed or not by a code block):
> 
> if (MyClass != null)
> 
> MyClass being an *existing* class name.
> Crashes everytime.

Reproduced in dev version.
Comment 11 Svata Dedic 2014-07-30 07:21:16 UTC
Created attachment 148399 [details]
Crashing sample

Reproduced on dev build, running on JDK 7. Place the file into a project, make any text change and then save; the error will be produced during reindexing the changed file.

If I saw correctly in the debugger, the enter/attribute phase of the parser did *not* report any error diagnostic for the NewClass (regular compilation produces an error message that a variable was not found). Subsequently the code generator attempted to clone ClassSymbol which is undefined.
Comment 12 Dusan Balek 2014-07-30 13:05:08 UTC
Fixed in jet-main. Thanks for the reproducible test case.

http://hg.netbeans.org/jet-main/rev/79b30f18dab0
http://hg.netbeans.org/nb-javac/rev/21d2941f550d
Comment 13 Quality Engineering 2014-08-01 02:10:22 UTC
Integrated into 'main-silver', will be available in build *201408010001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/79b30f18dab0
User: Dusan Balek <dbalek@netbeans.org>
Log: Issues #152386 and #237828 fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo